# Created by pyp2rpm-3.3.2
%global pypi_name parameterized

Name:           python-%{pypi_name}
Version:        0.8.1
Release:        %mkrel 3
Summary:        Parameterized testing with any Python test framework
Group:          Development/Python
License:        BSD
URL:            https://github.com/wolever/parameterized
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Parameterized testing with any Python test framework.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Parameterized testing with any Python test framework.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf *.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE.txt
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Wed Mar 23 2022 umeabot <umeabot> 0.8.1-3.mga9
+ Revision: 1822616
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 tv <tv> 0.8.1-2.mga9
+ Revision: 1774468
- Fix filelist for python-3.10
- Rebuild for python-3.10

* Sun Aug 29 2021 wally <wally> 0.8.1-1.mga9
+ Revision: 1743465
- new version 0.8.1

* Mon Mar 15 2021 wally <wally> 0.7.0-4.mga9
+ Revision: 1703277
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.7.0-3.mga8
+ Revision: 1535537
- Mageia 8 Mass Rebuild

* Sat Oct 12 2019 tv <tv> 0.7.0-2.mga8
+ Revision: 1452102
- rebuild with python 3.8

* Wed Aug 07 2019 kekepower <kekepower> 0.7.0-1.mga8
+ Revision: 1427892
- imported package python-parameterized

